Bug 438628 - Kernel panic during early kernel boot in interrupt handler [NEEDINFO]
Kernel panic during early kernel boot in interrupt handler
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-23 09:00 EDT by Klaus Pedersen
Modified: 2009-01-09 01:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:14:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cebbert: needinfo? (klaus.kruse.pedersen)


Attachments (Terms of Use)

  None (edit)
Description Klaus Pedersen 2008-03-23 09:00:10 EDT
Description of problem:

Every approx. fourth(?) time I coldboot 
The kernel panics approx every fourth(?) time I coldboot.
It looks something like this:

(Last screen faithfully scribbled on paper and then entered here)

Call Trace
<IRQ> tick_handle_periodic + 0x18
      __do_softirq + 0x55
      call_softirq + 0x1c
      do_softirq + 0x2c
      irq_exit + 0x3f
      do_IRQ + 0x13e
      ret_from_intr + 0x0
<EOI> __free_pages_ok + 0x42
      free_all_bootmem_core + 0xcd
      read_pci_config + 0x2b
      numa_free_all_bootmem + 0x3b
      mem_init + 0x4e
      start_kernel + 0x240
      _sinittext + 0x11d

Aiee, killing interrupt handler!
< RIP[...] run_rebalance_domains + 0x2d >
...


Version-Release number of selected component (if applicable):

$ rpm -q kernel
kernel-2.6.24.3-34.fc8
(where is the 64bit part of the name?)

$ yum list kernel
kernel.x86_64                            2.6.24.3-34.fc8        installed       


How reproducible:
Approx 25% of cold boots.


Steps to Reproduce:
1. Press power button
2. wait
3. "Aiee, killing interrupt handler"


Actual results:
"Aiee, killing interrupt handler"


Expected results:
Normal boot


Additional info:
$ uname -a
Linux localhost.localdomain 2.6.24.3-34.fc8 #1 SMP Wed Mar 12 16:51:49 EDT 2008
x86_64 x86_64 x86_64 GNU/Linux

$ cat /proc/cpuinfo 
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 16
model           : 2
model name      : AMD Phenom(tm) 9600 Quad-Core Processor
stepping        : 2
cpu MHz         : 1150.000
cache size      : 512 KB
physical id     : 0
siblings        : 4
core id         : 0
cpu cores       : 4
fpu             : yes
fpu_exception   : yes
cpuid level     : 5
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt pdpe1gb rdtscp
lm 3dnowext 3dnow constant_tsc rep_good pni cx16 popcnt lahf_lm cmp_legacy svm
extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch osvw ibs
bogomips        : 4624.26
TLB size        : 1024 4K pages
clflush size    : 64
cache_alignment : 64
address sizes   : 48 bits physical, 48 bits virtual
power management: ts ttp tm stc 100mhzsteps hwpstate

[...]
processor       : 3
vendor_id       : AuthenticAMD
cpu family      : 16
model           : 2
model name      : AMD Phenom(tm) 9600 Quad-Core Processor
stepping        : 2
cpu MHz         : 1150.000
cache size      : 512 KB
physical id     : 0
siblings        : 4
core id         : 3
cpu cores       : 4
fpu             : yes
fpu_exception   : yes
cpuid level     : 5
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt pdpe1gb rdtscp
lm 3dnowext 3dnow constant_tsc rep_good pni cx16 popcnt lahf_lm cmp_legacy svm
extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch osvw ibs
bogomips        : 4621.26
TLB size        : 1024 4K pages
clflush size    : 64
cache_alignment : 64
address sizes   : 48 bits physical, 48 bits virtual
power management: ts ttp tm stc 100mhzsteps hwpstate
Comment 1 Chuck Ebbert 2008-03-26 17:21:08 EDT
We need to see the complete error messages. Can you take a picture of the screen
and attach that?
Comment 2 Bug Zapper 2008-11-26 05:15:11 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 01:14:33 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.